## ros-jazzy-robot-calibration 0.9.0

=== debian/changelog ===
ros-jazzy-robot-calibration (0.9.0-1bookworm) bookworm; urgency=high

  * deprecated header has been removed for j-turtle (#162 <https://github.com/mikeferguson/robot_calibration/issues/162>)
    this branch now only supports Iron and later, update CI to reflect that
  * update checkerboard comment (#160 <https://github.com/mikeferguson/robot_calibration/issues/160>)
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mike@vanadiumlabs.com>  Tue, 23 Apr 2024 04:00:00 -0000

ros-jazzy-robot-calibration (0.8.1-1bookworm) bookworm; urgency=high

  * update to tinyxml2 (#159 <https://github.com/mikeferguson/robot_calibration/issues/159>)
    * proper depends, rather than hijacking urdfdom
    * less control over formatting, had to update tests
  * fix checkerboard parameter name (#154 <https://github.com/mikeferguson/robot_calibration/issues/154>)
    recently fixed this parameter to actually work, but the
    name is still different from ROS1.
  * implement chain3d_to_camera2d error block (#153 <https://github.com/mikeferguson/robot_calibration/issues/153>)
    Second part of #41 <https://github.com/mikeferguson/robot_calibration/issues/41>, adds error block to use data from #152 <https://github.com/mikeferguson/robot_calibration/issues/152>
  * Add finder for 2d checkerboard (#152 <https://github.com/mikeferguson/robot_calibration/issues/152>)
    This is the first step towards completing #41 <https://github.com/mikeferguson/robot_calibration/issues/41>
    * Refactors checkerboard finder to be templated on data type.
    * Uses template specialization to make 2d and 3d variants.
    * Updates test to load both variants.
  * properly namespace parameters (#151 <https://github.com/mikeferguson/robot_calibration/issues/151>)
    These issues were apparently an oversight during the ROS2 port.
  * better messages for error_block errors (#150 <https://github.com/mikeferguson/robot_calibration/issues/150>)
  * add warning if checkerboard is symmetric (#147 <https://github.com/mikeferguson/robot_calibration/issues/147>)
  * fixes for base_calibration based on testing (#138 <https://github.com/mikeferguson/robot_calibration/issues/138>)
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mike@vanadiumlabs.com>  Sat, 25 Nov 2023 05:00:00 -0000

ros-jazzy-robot-calibration (0.8.0-1bookworm) bookworm; urgency=high

  * various fixes from on-robot testing (#136 <https://github.com/mikeferguson/robot_calibration/issues/136>)
    * fix topic names in load_bag
    * update DepthCameraInfoManager to read proper parameters from camera node
    * fix path/names for pluginlib portability
    * better debug messages when capturing
    * better debug messages from ChainManager
  * add yaml option for storing capture poses (#135 <https://github.com/mikeferguson/robot_calibration/issues/135>)
    * load calibration poses from YAML
    * add test for YAML loading
    * add porting script to get ROS1 bagfiles converted to YAML file
  * remove tinyxml from CMake (#134 <https://github.com/mikeferguson/robot_calibration/issues/134>)
    this is a left over from the XML RPC days
  * initial ROS2 port of robot_calibration (#133 <https://github.com/mikeferguson/robot_calibration/issues/133>)
    * port finders to ROS2
    * port optimization to ROS2
    * port tests to ROS
    * reorganize file structure for better clarity around header file usage
    * update readme
    Major changes for ROS2:
    * In ROS1, many of the parameters were an array of complex structures - this does
    not work well with ROS2 and the declaration of parameters. Instead, we use an array
    of structure names, and then we can declare namespaced parameters for each of
    the structures.
    * chain model has been renamed to chain3d
  * port robot_calibration_msgs to ROS2, update CI (#131 <https://github.com/mikeferguson/robot_calibration/issues/131>)
  * enhance alignment (#130 <https://github.com/mikeferguson/robot_calibration/issues/130>)
    * handle NANs in laser data
    * add r2_tolerance
    * add spinOnce so that we can run single threaded
    * exit loop if shutting down
  * fix regression in manual calibration (#129 <https://github.com/mikeferguson/robot_calibration/issues/129>)
  * fix warnings reported on ros.org buildfarm (#128 <https://github.com/mikeferguson/robot_calibration/issues/128>)
  * improve base calibration alignment (#127 <https://github.com/mikeferguson/robot_calibration/issues/127>)
    * add feature to align to arbitrary angle
    * parameterize things, including verbose
  * refactor base_calibration into separate class (#126 <https://github.com/mikeferguson/robot_calibration/issues/126>)
  * major refactor into re-usable components (#125 <https://github.com/mikeferguson/robot_calibration/issues/125>)
    * add getPosesFromBag function
    * add captureManager to clean up code and improve re-usability
    * split out exportResults as a function
    * for all models, renamed name() to getName(), added getType() function
    * add getCameraNames() function to optimizer, so that we can:
    * output camera calibrations for ALL cameras
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mike@vanadiumlabs.com>  Sat, 25 Jun 2022 04:00:00 -0000

ros-jazzy-robot-calibration (0.7.0-1bookworm) bookworm; urgency=high

  * filter planes by closeness to desired normal (#124 <https://github.com/mikeferguson/robot_calibration/issues/124>)
  * add finder for laser scan data (#123 <https://github.com/mikeferguson/robot_calibration/issues/123>)
    best way to use this right now is to create point laser scanner at a
    wall, create a plane from the laser scan, and align it with a plane
    that has been seen by a camera
  * sample observation more evenly (#122 <https://github.com/mikeferguson/robot_calibration/issues/122>)
    the plane finder previously took points that were equally distributed by
    point cloud index - however this doesn't actually always represent a

